function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { GridComponent } from "echarts/components";
import { BarChart } from "echarts/charts";
import { CanvasRenderer } from "echarts/renderers";
import { histogram } from "@dft-vue-2-opentiny/vue-renderless/chart-bar/index";
import Core from "@dft-vue-2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dft-vue-2-opentiny/vue-common";
echarts.use([GridComponent, BarChart, CanvasRenderer]);
var Histogram = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartHistogram",
  data: function data() {
    this.chartHandler = histogram;
    return {};
  }
}));
var version = "2.8.0";
Histogram.install = function(Vue) {
  Vue.component(Histogram.name, Histogram);
};
Histogram.version = version;
export {
  Histogram as default
};
